Back to siteAPI Documentation
GET

/api/v1/quotes/{quote_id}

Auth: Bearer token

Get Quote

Returns quote details and available carrier options for booking.

Path parameters

NameTypeRequiredDescription
quote_idstringYesQuote identifier.

Example response

<?php

return [
  'success' => true,
  'data' => [
    'quote_id' => 'quote_123',
    'merchant_order_ref' => 'ORD-8842',
    'merchant_id' => 'mrc_001',
    'environment_id' => 'env_live_001',
    'shipment_id' => 'shp_101',
    'status' => 'booked',
    'requested_at' => '2026-02-17T10:22:00Z',
    'expires_at' => '2026-02-17T11:22:00Z',
    'options' => [
      [
        'quote_option_id' => 'qopt_001',
        'carrier_code' => 'fastship',
        'service_code' => 'next_day',
        'currency' => 'ZAR',
        'amount' => '225.00',
        'tax_amount' => '33.75',
        'total_amount' => '258.75',
        'eta_from' => '2026-02-18T08:00:00Z',
        'eta_to' => '2026-02-18T17:00:00Z',
        'rules' => [
          'max_weight_kg' => 25
        ]
      ]
    ],
    'selected_option' => [
      'quote_option_id' => 'qopt_001',
      'carrier_code' => 'fastship',
      'service_code' => 'next_day',
      'currency' => 'ZAR',
      'amount' => '225.00',
      'tax_amount' => '33.75',
      'total_amount' => '258.75',
      'eta_from' => '2026-02-18T08:00:00Z',
      'eta_to' => '2026-02-18T17:00:00Z',
      'rules' => [
        'max_weight_kg' => 25
      ]
    ]
  ]
];

Request examples

curl -X GET \
  "https://api.spaces.za.com/api/v1/quotes/quote_123" \
  -H "Authorization: Bearer <token>" \\